<link rel="import" href="../polymer/polymer-element.html">

<link rel="import" href="../paper-icon-button/paper-icon-button.html">
<link rel="import" href="../paper-dialog/paper-dialog.html">
<link rel="import" href="../paper-dialog-scrollable/paper-dialog-scrollable.html">
<link rel="import" href="../iron-icons/iron-icons.html">
<link rel="import" href="../iron-icon/iron-icon.html">

<dom-module id="dez-export-button">
  <template>

    <style>
        pre.export {
            margin-left:50px;
            margin-right:100px;
        }
    </style>

    <paper-icon-button icon="subject" title="inspect analysis (.dez)" on-tap="_displayDialog"></paper-icon-button>
    <paper-dialog id="jsonDialog" entry-animation="fade-in-animation" exit-animation="fade-out-animation" with-backdrop>
        <h2 style="user-select: none;"><iron-icon icon="subject"></iron-icon> &nbsp; Inspect analysis data</h2>
        <p style="user-select: none;">
          The following data are the contents of the .dez file
          of the current analysis.
          <br />They represent all labels in a json format
          and may be used in other programs.
            <!-- <br /><b>Preview version.</b> This format may evolve. -->
        </p>
        <paper-dialog-scrollable>
            <pre class="export">[[exportData]]</pre>
        </paper-dialog-scrollable>
    </paper-dialog>

  </template>

  <script>

    class DezExportButton extends Polymer.Element {

      static get is() { return 'dez-export-button'; }

      static get properties() {
          return {
              exportData: String
          }
      }

      _displayDialog () {
          this.$.jsonDialog.open();
      }

    }

    window.customElements.define(DezExportButton.is, DezExportButton);
  </script>
</dom-module>
